Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class SessionFactory

    java.lang.Object
      org.ggf.drmaa.SessionFactory

Direct Known Subclasses:
  SessionFactoryImpl

public abstract class SessionFactory
extends java.lang.Object

This class is used to retrieve a Session object tailored to the DRM in use. The factory will use the org.ggf.drmaa.SessionFactory property to discover the DRM-specific Session implementation class.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  `Session`

Constructor Summary
`protected` | `SessionFactory()` Creates a new instance of SessionFactory

Method Summary
`static SessionFactory` | `getFactory()` Gets a SessionFactory object appropriate for the DRM in use.
`abstract Session` | `getSession()` Gets a Session object appropriate for the DRM in use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactory

    protected SessionFactory()

  Creates a new instance of SessionFactory

Method Detail

### getSession

    public abstract Session getSession()

  Gets a Session object appropriate for the DRM in use.

  Returns:
    a Session object appropriate for the DRM in use

### getFactory

    public static SessionFactory getFactory()

  Gets a SessionFactory object appropriate for the DRM in use.

  Returns:
    a SessionFactory object appropriate for the DRM in use

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD